function websocket(url) {
  try {
    return new WebSocket(url);
  } catch (e) {
    try {
      return new MozWebSocket(url);
    } catch(e) {
      return null;
    }
  }
}

function meminfo(url, cont) {
  url =	url?url:"ws://localhost:9000";
  var count = 0;
  var ws = websocket(url);

  if (ws === null) {
    return null;
  }  

  // Erstellen des Ausgabetabletts
  ws.onopen = function(e) {
    $(cont?cont:'body').append('<table id="meminfo" style="float:left" \
      class="line"><caption>Meminfo von '+url+'</caption><thead>\
      <tr><td></td><th>MemFree</th><th>Shmem</th>\
      <th>SwapFree</th></tr></thead><tbody></tbody></table>\
      <div style="float:left" class="visualize" id="meminfochart"></div>');
  }

  // Empfangene Daten einfügen
  ws.onmessage = function(e) {
    count++; // closure
    try {
      var obj = jQuery.parseJSON(e.data);
      $('#meminfo tbody').append('<tr><th>'+count+'</th>'+
        $('#meminfo thead th').map(function() { return '<td>'+
        (Math.round(parseInt(obj[$(this).text()])/1000))+'</td>';}
      ).get().join('')+'</tr>');
      if (count > 20) {
        $('#meminfo tr:eq(1)').remove();
      }  
    } catch(e) {
      console.log('Protokoll-Fehler');
    }
    $('#meminfochart').empty()
    $('#meminfo.line').visualize({type: 'line', parseDirection: 'y',
       'height':'200px', 'width':'500px'}, $('#meminfochart'));
  }
}
