// Initalisiere Websocket-Objekt
var ws = new WebSocket('ws://localhost:9000');
// Notiere Status des Websockets alle 5s
var oiv = setInterval(function() { console.log(ws.readyState) }, 5000);
// Sende lokale Zeit zum Server
ws.onopen = function() {
  ws.send(new Date().toLocaleTimeString());
}
// Notiere Fehler
ws.onerror = function() {
  console.log('Error!');
}
// Notiere eingehende Nachricht und schließe Verbindung
ws.onmessage = function(e) {
  console.log(e.data);
  ws.close(99, 'First message closes connection.');
 }
// Beende Notation des Statuses
ws.onclose = function() {
  clearInterval(oiv);
}
